Compare commits

...

5 commits

3 changed files with 65 additions and 3 deletions

View file

@ -5,6 +5,8 @@ and this project **does not adhere to [Semantic Versioning](http://semver.org/sp
### Added ### Added
* Add contrib/post-release.sh to help with post-release tasks
### Changed ### Changed
### Deprecated ### Deprecated
@ -15,6 +17,12 @@ and this project **does not adhere to [Semantic Versioning](http://semver.org/sp
### Security ### Security
## [24.05] - 2024-05-15
### Added
* Add missing (but documented) `--(no-)evocheck` options
## [23.10.1] - 2023-10-09 ## [23.10.1] - 2023-10-09
### Fixed ### Fixed

46
contrib/post-release.sh Executable file
View file

@ -0,0 +1,46 @@
#!/bin/bash
#######################################################################
# Post-release script
#
# It must me executed after a release,
# to copy parts to the correct downstream projects.
#######################################################################
# Exit immediately if a pipeline (which may consist of a single simple command),
# a list, or a compound command (see SHELL GRAMMAR above), exits with a non-zero
# status.
set -o errexit
# If expansion is attempted on an unset variable or parameter, the shell prints an
# error message, and, if not interactive, exits with a non-zero status.
set -o nounset
# The pipeline's return status is the value of the last (rightmost) command
# to exit with a non-zero status, or zero if all commands exit successfully.
set -o pipefail
# Enable trace mode if called with environment variable TRACE=1
if [[ "${TRACE-0}" == "1" ]]; then
set -o xtrace
fi
REPOSITORIES_PARENT_DIR="${HOME}/GIT"
echo "Copy to ansible-roles.git :"
dest="${REPOSITORIES_PARENT_DIR}/ansible-roles/evomaintenance/files/upstream"
if [ ! -d "${dest}" ]; then
echo "Target doesn't look like an evomaintenance upstream directory. Check before running again."
else
cp CHANGELOG.md README.md evomaintenance.sh "${dest}/" && echo "Done!"
fi
echo "Copy to EvoBSD.git :"
dest="${REPOSITORIES_PARENT_DIR}/EvoBSD/roles/evomaintenance/files/upstream"
if [ ! -d "${dest}" ]; then
echo "Target doesn't look like an evomaintenance upstream directory. Check before running again."
else
cp CHANGELOG.md README.md evomaintenance.sh "${dest}/" && echo "Done!"
fi

View file

@ -1,12 +1,12 @@
#!/bin/sh #!/bin/sh
VERSION="23.10.1" VERSION="24.05"
show_version() { show_version() {
cat <<END cat <<END
evomaintenance version ${VERSION} evomaintenance version ${VERSION}
Copyright 2007-2023 Evolix <info@evolix.fr>, Copyright 2007-2024 Evolix <info@evolix.fr>,
Gregory Colpart <reg@evolix.fr>, Gregory Colpart <reg@evolix.fr>,
Jérémy Lecour <jlecour@evolix.fr>, Jérémy Lecour <jlecour@evolix.fr>,
Brice Waegeneire <bwaegeneire@evolix.fr>, Brice Waegeneire <bwaegeneire@evolix.fr>,
@ -437,6 +437,14 @@ while :; do
printf 'ERROR: "--message" requires a non-empty option argument.\n' >&2 printf 'ERROR: "--message" requires a non-empty option argument.\n' >&2
exit 1 exit 1
;; ;;
--no-evocheck)
# disable evocheck hook
EVOCHECK=0
;;
--evocheck)
# enable evocheck hook
EVOCHECK=1
;;
--no-commit) --no-commit)
# disable commit hook # disable commit hook
HOOK_COMMIT=0 HOOK_COMMIT=0
@ -581,7 +589,7 @@ GIT_REPOSITORIES="/etc /etc/bind /usr/share/scripts"
# Add /etc directories from lxc containers if they are git directories # Add /etc directories from lxc containers if they are git directories
if [ -d /var/lib/lxc ]; then if [ -d /var/lib/lxc ]; then
GIT_REPOSITORIES="${GIT_REPOSITORIES} $(find /var/lib/lxc/ -maxdepth 3 -name 'etc' | tr '\n' ' ' | sed 's/[[:space:]]\+$//')" GIT_REPOSITORIES="${GIT_REPOSITORIES} $(find -L /var/lib/lxc/ -maxdepth 3 -name 'etc' | tr '\n' ' ' | sed 's/[[:space:]]\+$//')"
fi fi
# initialize variable # initialize variable